Error when creating a new issue

2008-04-28 17:29 - Andreas Deininger

Status: Closed Start date: 2008-04-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version:  

Description

I'm not able to reproduce that issue constantly, but I got it several times while creating new issues with one or more files attached to

them.

Maybe the stacktrace can reveal the cause of the error:

Processing IssuesController#new (for 84.149.133.45 at 2008-04-28 16:48:19) [POST]

Session ID: 7133129f2f585e94a5dc3872aa143b36

Parameters: {"project_id"=>"mlab", "action"=>"new", "controller"=>"issues"}

NoMethodError (undefined method `[]' for nil:NilClass):

/app/controllers/issues_controller.rb:140:in `new'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action_without_filters'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in

`perform_action_without_benchmark'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Programme/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_without_caching'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in

`cache'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filters'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in

`process_without_session_management_support'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `process'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handle_request'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispatch'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatch'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel/rails.rb:76:in `process'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel/rails.rb:74:in `synchronize'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel/rails.rb:74:in `process'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:159:in `process_client'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:158:in `each'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:158:in `process_client'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:285:in `run'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:285:in `initialize'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:285:in `new'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:285:in `run'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:268:in `initialize'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:268:in `new'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel.rb:268:in `run'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:282:in `run'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:281:in `each'
C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:281:in `run'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/mongrel_rails:128:in `run'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/../lib/mongrel/command.rb:212:in `run'

C:/Programme/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.4-x86-mswin32-60/bin/mongrel_rails:281

C:/Programme/ruby/bin/mongrel_rails:19:in `load'

C:/Programme/ruby/bin/mongrel_rails:19

Rendering D:/Websites/redmine/public/500.html (500 Internal Server Error)

Associated revisions

Revision 1376 - 2008-04-28 19:03 - Jean-Philippe Lang

Prevent undefined method `[]' for nil:NilClass error in issues_controller.rb:140 (#1132).

History

#1 - 2008-04-28 19:05 - Jean-Philippe Lang

I've just committed a fix that should prevent this error but I can't see why it occurred.

Did you truncate the parameters output before posting it? This POST request should have a parameter named "issue".

#2 - 2008-04-30 16:29 - Andreas Deininger

I just encountered that error again while submitting Defect #1149 on the server at www.redmine.org.

I suspect this problem is related to the use of the Safari Webbrowser (Windows, Version 3.1.1 (525.17) ), though I'm not absolutely sure.

The error occurs only the very first time I submit an issue. After going back to the form and submitting it again, it was accepted (glad I hadn't to retype

the whole text :-) )

BTW: I'm wondering whether line 52 in /app/models/repository/mercurial.rb has any effect.

#3 - 2008-04-30 21:29 - Jean-Philippe Lang

r1376 is not applied on redmine.org

#4 - 2008-06-15 12:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

This should be fixed. Reopen if needed.
